/* 
 * File:   config_osc.h
 * Author: Teru
 *
 * Created on 2014/05/10, 11:33
 */
#ifndef CONFIG_OSC_H
#define	CONFIG_OSC_H

#ifdef	__cplusplus
extern "C" {
#endif

/******************************************************************************/
/* System Level #define Macros                                                */
/******************************************************************************/

/* TODO Define system operating frequency */

/* Microcontroller MIPs (FCY) */
#define _XTAL_FREQ      20000000       /* 20MHz */
    
#define SYS_FREQ        _XTAL_FREQ
#define FCY             SYS_FREQ/4

// get/set IO_RA1 aliases
#define RA1_LAT         LATA1
#define RA1_SetHigh()   do { LATA1 = 1; } while(0)
#define RA1_SetLow()    do { LATA1 = 0; } while(0)
#define RA1_Toggle()    do { LATA1 = ~LATA1; } while(0)

/******************************************************************************/
/* System Function Prototypes                                                 */
/******************************************************************************/

/* Custom oscillator configuration funtions, reset source evaluation
functions, and other non-peripheral microcontroller initialization functions
go here. */

void ConfigureOscillator(void); /* Handles clock switching/osc initialization */
void ConfigurePin(void);

#ifdef	__cplusplus
}
#endif

#endif	/* CONFIG_OSC_H */

